Name:		qca-tls
Version:	1.0
Release:	18%{?dist}

Summary:	TLS plugin for the Qt Cryptographic Architecture
License:	LGPLv2+
Group:		Applications/Internet
URL:		http://delta.affinix.com/qca/
Source0:	http://delta.affinix.com/download/qca/qca-tls-1.0.tar.bz2
# Fix build in mach for QT apps
Patch0:		qca-tls-1.0-mach.patch
# Missing ifdefs for openssl 0.9.8
Patch1:     qca-tls-1.0-ossl098.patch
# Build with openssl 1.0.0
Patch2:     qca-tls-1.0-ossl10.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt3-devel
# To build with openssl 0.9.7, disable patch1
BuildRequires:	openssl-devel >= 0.9.8


%description
This is a plugin to provide SSL/TLS capability to programs that use the Qt
Cryptographic Architecture (QCA).  QCA is a library providing an easy API
for several cryptographic algorithms to Qt programs.  This package only
contains the TLS plugin.

%prep
%setup -q
%patch0 -p0 -b .mach
%patch1 -p0 -b .ossl098
%patch2 -p1 -b .ossl10

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt3.sh

./configure \
    --qtdir=$QTDIR
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT$QTDIR/plugins/crypto
make install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README COPYING
%attr(755,root,root) %{_libdir}/qt-*/plugins/crypto


%changelog
* Wed Aug 26 2009 Tomas Mraz <tmraz@redhat.com> - 1.0-18
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 1.0-15
- rebuild with new openssl

* Thu Jun 05 2008 Aurelien Bompard <abompard@fedoraproject.org> 1.0-14
- fix build

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-13
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.0-12
 - Rebuild for deps

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0-11
- fix license tag
- rebuild for BuildID

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.0-10
- rebuild

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.0-9
- rebuild for FC5

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0-8
- fix patch1

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0-7
- build for openssl 0.9.8

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0-6
- fix BRs

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0-5
- rebuild for new openssl

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.0-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Jun 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.2
- License is LGPL
- BR: XFree86-devel
- own the crypto dir (see bug 1738)

* Fri Jun 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.1
- Initial RPM, split from psi
